Subject: Urgent

From: Bar Ruiz<[email-masked]>
Date: 07 May 2025 21:39:04 +0200

Hi Dear,

I was wondering if you received my earlier email, I am following 
up on the letter I sent you a couple of weeks ago regarding an 
important matter, although I haven't received your response yet, 
could you please confirm if you received my previous emails or 
would you please let me know when would be convenient for you to 
have a phone conversation thank you.

Regards,
Bar Ruiz
Contact info: [email-masked]